Skip to main content
POST
/
v1
/
product_variants
/
bulk
Bulk Upsert Product Variants
curl --request POST \
  --url https://clientapi.retailgrid.io/v1/product_variants/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "variant_name": "<string>",
      "size": "<string>",
      "color": "<string>",
      "uom": "<string>",
      "barcode": "<string>",
      "is_active": true,
      "stock": 123,
      "price": 123,
      "regular_price": 123,
      "rrp": 123,
      "unit_cost": 123,
      "currency": "<string>",
      "price_effective_date": "2023-12-25",
      "cost_effective_date": "2023-12-25",
      "product_id": "<string>",
      "sku": "<string>"
    }
  ]
}
'
{
  "results": [
    {
      "index": 123,
      "ok": true,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retailgrid API keys are prefixed with rg_live_. Pass them as Authorization: Bearer <key>.

Body

application/json
items
ProductVariantBulkItem · object[]

Response

Successful Response

results
BulkItemResult · object[]